Subject: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt

From: James Yu <[email-masked]>
Date: Sun, 10 Dec 2000 22:31:59 -0600

Valerie,

Sorry that I was not able to access my e-mails last week.

You had a question about GSM working with 3G.  It is very likely that an
interworking function (IWF) can be used to interwork between GSM (SS7) and
3G network (IP).   So the SS7 messages from the GSM networks can be
provisioned through the SS7 global title translation (GTT) capabilities and
be routed to those IWFs and vice versa.  This probably may answer your first
question below.  For the first message that is sent from the VLR to the HLR
(or AAA server), IMSI (E.212) or the mobile global title (E.214) can be
used.  That would require the use of something such as e212.arpa or
e214.arpa instead of e164.arpa as was explained in an earlier message.  The
3G networks can certainly use IP addresses or domain names for subsequent
message exchange (HLRID and VLRID used today are the E.164 numbers).  But to
interwork with the 2G system (GSM, IS-41), E.164 IDs probably will still be
used.  In that case, enum (e164.arpa) can be used for subsequent message
exchange between the VLR and HLR.  We can certainly view e212.arpa and
e214.arpa as part of enum; however, enum currently only defines e164.arpa.

In terms of your example of a call to the MSISDN, there are at least two
aspects.  One aspect is the calling device (e.g., a SIP phone) or a
softswitch that invokes enum to determine how to route to the MSISDN.  The
other aspect is when the call reaches a MSC-G (a gateway switch into the
cellular network), that MSC-G uses enum to find out the HLR that maintains
the service profile for that MSISDN (this assume that the service profiles
are partitioned among several HLRs and SS7 GTT is used today to locate the
proper HLR and the GTT process is to be replaced by the enum process).  In
the first aspect, the invoking application will be looking for NAPTR RRs
such as sip URL and tel URL (e.g., records related to end user's application
services).  In the second aspect, the invoking application will be looking
for NAPTR RRs related to "network-related" services such as "roam" (e.g.,
records provided by the cellular network operators in this example).

James

> -----Original Message-----
> From: BARNOLE Valerie FTRD/DAC/ISS
> [mailto:[email-masked]]
> Sent: Wednesday, December 06, 2000 4:36 PM
> To: [email-masked]'; [email-masked]
> Cc: [email-masked]
> Subject: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt
> 
> 
> John and James,
> forgive me if I understand wrongly but it seems to me that 
> there are various
> issues in roaming for ENUM:
> 1) the exemple of John, with mobile user roaming in China. 
> When the roamer
> wants to place a call. The input of the DNS query is the 
> IMSI,the output is
> the HLR IP address. But couldn't it also be the E.164 HLRID 
> in case the HLR
> has no IP address ?
> 2) The mobile user is still roaming in China ; a caller to 
> him dials his
> MSISDN (mobile phone number. This MSISDN is the input in the 
> ENUM process.
> The output of the DNS queries includes the IP address of the 
> VLR. Of course
> this output is of no use for the caller but is useful for the 
> operator in
> charge of finding the roamer to establish the call. Maybe the 
> service field
> is a trigger to prevent this query result to appear to the caller ?
> 
> 
>  
> 
> -----Message d'origine-----
> De: [email-masked] [mailto:[email-masked]]
> Date: lundi 4 décembre 2000 12:53
> À: [email-masked]; [email-masked]
> Cc: [email-masked]
> Objet: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt
> 
> 
> Hi James & Valerie,
> 
> [James said]
> > Probably not interoperability and interworking.  I assume 
> > that all cellular nodes can use IP to communicate with each 
> > other (may be the 3G all IP networks?).
> 
> [Valerie said]
> > > I do not see precisely how ENUM can facilitate interworking 
> > > or interoperability between networks. Maybe there are other 
> > > drafts I should read ?
> 
> ENUM can simplify the 'reachability' issue for cellular networks
> (or for network providers).  Currently, finding the HLR/VLR for
> a particular subscriber when roaming is a complex task, mapping
> from global title to SS7 signaling point code.  As networks move
> to IP, this should be less complicated & hopefully allow some
> different protocols to interoperate more easily.
> 
> An example could be:
> 
> I'm roaming in China.  At the point of attachment to the network,
> the Chinese operator needs to check if I can get service.  The
> access point can use ENUM to find the address of my authorization
> node (HLR, let's say) and retrieves it's location (IP address).
> Then, it could use MAP over IP (a la SIGTRAN) or AAA (DIAMETER) 
> to verify that I can roam in China.
> 
> best regards,
> John
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum